Subject: RE: [ANNOUNCE] Git v2.30.0-rc2

From: "Randall S. Becker" <[email-masked]>
Date: Thu, 24 Dec 2020 09:49:18 -0500

On December 24, 2020 1:36 AM, Junio C Hamano wrote:
> Junio C Hamano <[email-masked]> writes:
> 
> > Christian Couder <[email-masked]> writes:
> >
> >> Most of the suggestions below are found by GMail.
> >>
> >> On Thu, Dec 24, 2020 at 12:08 AM Junio C Hamano <[email-masked]>
> wrote:
> >>>
> >>> A release candidate Git v2.30.0-rc2 is now available for testing at
> >>> the usual places.  It is comprised of 19 non-merge commits since
> >>
> >> Maybe: s/is comprised of/comprises/
> >
> > Funny.
> >
> > I do recall somebody else (perhaps Peff but I may be misremembering)
> > helped me grammofixing the use of verb "comprise" in the sentence when
> > I started listing the names of commit authors back in v2.3.3 or
> > v2.4.0 era.  Perhaps I failed to follow the advice given?  I dunno.

NonStop test cycle in progress on both platforms.

And "comprises" is considered correct as the present tense according to
Merriam-Webster. "Is comprised of" is more formal and tends to get edited
down to "comprises" by current grammar checkers to reduce use of the passive
form of verbs that pervades technical documents and thesis papers.

Regards,
Randall "Grammar Nerd" Becker